<?php

namespace App\Classes\Modules\HelpMenu\DataTransferObjects;

use App\Classes\General\Interfaces\DataTransferObject;

class UrlObject implements DataTransferObject
{
    /** @var string */
    private $type;

    /** @var string */
    private $shortUrl;

    /** @var string */
    private $originalUrl;

    /**
     * UrlObject constructor.
     * @param string $type
     * @param string $shortUrl
     * @param string $originalUrl
     */
    public function __construct(string $type, string $shortUrl, string $originalUrl)
    {
        $this->type = $type;
        $this->shortUrl = $shortUrl;
        $this->originalUrl = $originalUrl;
    }

    /**
     * @return string
     */
    public function getType(): string
    {
        return $this->type;
    }

    /**
     * @return string
     */
    public function getShortUrl(): string
    {
        return $this->shortUrl;
    }

    /**
     * @return string
     */
    public function getOriginalUrl(): string
    {
        return $this->originalUrl;
    }

}
